<template>
  <div class="theme theme-blockset">
    <div class="layout">
      <header>
        <main-nav>
          <template slot="primary">
            <nuxt-link to="/" :class="{active:$route.name=='index'}"><butter-icon name="blockset-logo" width="117" height="30" /></nuxt-link>
            <nuxt-link to="/blockset-clients">Dashboard</nuxt-link>
            <nuxt-link to="/blockset-clients" :class="{active:$route.name=='blockset-clients'}">Clients</nuxt-link>
            <nuxt-link to="/blockset-dashboard" :class="{active:$route.name=='blockset-docs'}">Docs</nuxt-link>
            <nuxt-link to="/blockset-logs" :class="{active:$route.name=='blockset-logs'}">Logs</nuxt-link>
          </template>
          <template slot="secondary">
            <nuxt-link to="/blockset-contact" v-if="false"><butter-icon name="search" /></nuxt-link>
            <nuxt-link to="/blockset-contact">Support</nuxt-link>
            <drop-down label="Janet M.">
              <nuxt-link to="/blockset-account">Account Settings</nuxt-link>
              <nuxt-link to="/blockset-billing">Billing</nuxt-link>
              <nuxt-link to="#logout">Logout</nuxt-link>
            </drop-down>
          </template>
        </main-nav>
      </header>
      <main class="container">
        <nuxt class="main" />
      </main>
    </div>
  </div>
</template>
<style lang="scss">
@import "butter-global";

.layout {
  main .frame {
    position: relative;
    display: flex;
    flex-grow: 1;
    flex-direction: column;
  }
}

</style>
